Subject: Re: perl-5.14.2 switch
From: "Yaakov (Cygwin/X)" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Jul 2012 18:10:02 -0500
List-Id: <cygwin.cygwin.com>

On Tue, Jul 10, 2012 at 5:36 PM, Reini Urban wrote:
> On Tue, Jul 10, 2012 at 3:56 PM, Yaakov (Cygwin/X) wrote:
>> Your rebase pure_install changes in EU::MM_Cygwin do not take DESTDIR
>> into account, breaking cygport.  Line 195 of said module needs to be
>> changed to (as one long line):
>>[snip]
>
> Great find!
>
> I've completed my remaining deps also, so only Volker is missing with one.

I doubt perl-ming is used by many, so if Volker is busy, let's not wait for it.

> I'll fix this and do the switch ASAP.
> Thanks.

Found another problem which breaks gtk2-perl modules (which link
against each other).  The following change needs to be made in
ExtUtils::Liblist::Kid::_unix_os2_ext(), line 135:

-                 && -f ($fullname="$thispth/lib$thislib.$Config_dlext")) {
+                 && -f ($fullname="$thispth/$thislib.$Config_dlext")) {

I have made this change locally and am continuing the rebuild for Ports.

Yaakov

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple